package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh_interface.action;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Auther jianggang
 * @Date 2019/6/10 17:51:16
 * @Description
 */

@Api(value = "电信在网时长")
@FeignClient(name = "iov-sjjh-servicenode-supplier-10000003")
public interface TelecomOnlineTimeActionI {


    @ApiOperation(value = "电信在网时长查询")
    @PostMapping("/telecomOnlineTime.do")
    ChannelTypeHandleResponseObject telecomOnlineTime(@ApiParam(name = "通道id", required = true)
                                                      @RequestHeader(name = "channelId", required = true)
                                                              String channelId,
                                                      @ApiParam(name = "返回码类型", required = false)
                                                      @RequestHeader(name = "ifJkCode", required = false)
                                                              String ifJkCode,
                                                      @ApiParam(name = "超时时间", required = false)
                                                      @RequestParam(name = "outTime", required = false)
                                                              Integer outTime,
                                                      @ApiParam(name = "身份证二要素验证", value = "传入JSON字符串", required = true)
                                                      @RequestParam(name = "customBody", required = true)
                                                              String customBody);
}
