package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh_interface.action;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @description: 云海行驶证三要素
 * @author: xusonglin
 * @create: 2019/7/8 15:11
 * @version: V1.0
 **/

@Api(value = "云海行驶证三要素接口")
@FeignClient(name = "iov-sjjh-servicenode-supplier-10000003")
public interface DrivingLicenseAction {
    @ApiOperation(value = "行驶证三要素接口")
    @PostMapping("/drivingLicense.do")
    ChannelTypeHandleResponseObject drivingLicense(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime") int outTime,
            @RequestParam(name = "customBody") String customBody);
}
