package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh_interface.action;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Auther jianggang
 * @Date 2019/6/10 14:19:56
 * @Description
 */

@Api(value = "云海人像对比查询")
@FeignClient(name = "iov-sjjh-servicenode-supplier-10000003")
public interface FaceCheckActionI {


    @ApiOperation(value = "云海人像对比查询")
    @PostMapping("/faceCheckForYH.do")
    ChannelTypeHandleResponseObject faceCheck(@ApiParam(name = "通道id", required = true)
                                              @RequestHeader(name = "channelId", required = true)
                                                      String channelId,
                                              @ApiParam(name = "返回码类型", required = false)
                                              @RequestHeader(name = "ifJkCode", required = false)
                                                      String ifJkCode,
                                              @ApiParam(name = "超时时间", required = true)
                                              @RequestParam(name = "outTime", required = false) Integer outTime,
                                              @ApiParam(name = "查询参数", value = "传入JSON字符串", required = true)
                                              @RequestBody String customBody);

    @ApiOperation(value = "云海人像对比查询-WeiZhong解密版")
    @PostMapping("/faceCheckWZDecode.do")
    ChannelTypeHandleResponseObject faceCheckWZDecode(@ApiParam(name = "通道id", required = true)
                                                      @RequestHeader(name = "channelId", required = true)
                                                              String channelId,
                                                      @ApiParam(name = "返回码类型", required = false)
                                                      @RequestHeader(name = "ifJkCode", required = false)
                                                              String ifJkCode,
                                                      @ApiParam(name = "超时时间", required = true)
                                                      @RequestParam(name = "outTime", required = false) Integer outTime,
                                                      @ApiParam(name = "查询参数", value = "传入JSON字符串", required = true)
                                                      @RequestBody String customBody);
}
