package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh_interface.action;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

@Api(value = "云海查询车辆违章信息接口")
@FeignClient(name = "iov-sjjh-servicenode-supplier-10000003")
public interface VehicleViolationInfoAction {
    @ApiOperation(value = "查询车辆违章信息接口")
    @PostMapping("/getVehicleViolationInfo.do")
    ChannelTypeHandleResponseObject getVehicleViolationInfo(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime") int outTime,
            @RequestParam(name = "customBody") String customBody);
}
